---
primaryTopic:
  Accounts:
    AccountCategory: NO ACCOUNTS FILED
    AccountRefDay: 31
    AccountRefMonth: 01
    LastMadeUpDate: ~
    NextDueDate: 19/10/2025
  CompanyCategory: Private Limited Company
  CompanyName: BIBBY'S BAGUETTES LTD
  CompanyNumber: SC795936
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 19/01/2024
  RegAddress:
    AddressLine1: THE NEUK AUCHTERLESS STATION
    AddressLine2: AUCHTERLESS
    PostTown: TURRIFF
    Country: SCOTLAND
    Postcode: AB53 8EP
  Returns:
    LastMadeUpDate: ~
    NextDueDate: 01/02/2025
  SICCodes:
    SicText:
      - '56102 - Unlicensed restaurants and cafes'
